summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfusion8092017-09-18 14:54:15 +1000
committerfusion8092017-09-18 14:54:15 +1000
commitd85dd8e8de191743d823c4ca8be89268eb26f304 (patch)
treeedf4a6e99a0d62649ba32d5bfb38f9bd49b71168
parent0c22c5fbb5571bbc48deafb640ce6c9a57be93bb (diff)
downloadaur-d85dd8e8de191743d823c4ca8be89268eb26f304.tar.gz
Pushing fix
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD25
2 files changed, 30 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3c5ee172ecc..763d112681c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Tue Nov 22 20:53:43 UTC 2016
+# Mon Sep 18 04:54:12 UTC 2017
pkgbase = moksha-modules-extra-git
pkgdesc = Extra Moksha modules
- pkgver = 8fd3c9b
+ pkgver = 752dafe
pkgrel = 1
url = http://mokshadesktop.org
arch = i686
@@ -11,6 +11,7 @@ pkgbase = moksha-modules-extra-git
makedepends = moksha-module-emprint-git
makedepends = git
depends = moksha
+ depends = json-c
source = moksha-modules-extra::git+https://github.com/JeffHoogland/moksha-modules-extra.git
sha256sums = SKIP
@@ -48,6 +49,9 @@ pkgname = moksha-module-alarm-git
pkgname = moksha-module-calendar-git
pkgdesc = Moskha calendar module built from git sources
+pkgname = moksha-module-cpu-git
+ pkgdesc = Moskha cpu module built from git sources
+
pkgname = moksha-module-engage-git
pkgdesc = Moksha engage module built from git sources
@@ -78,11 +82,13 @@ pkgname = moksha-module-rain-git
pkgname = moksha-module-screenshot-git
pkgdesc = Moksha screenshot module built from git sources
depends = moksha
+ depends = json-c
depends = moksha-module-emprint-git
pkgname = moksha-module-share-git
pkgdesc = Moksha share module built from git sources
depends = moksha
+ depends = json-c
depends = libbsd
pkgname = moksha-module-slideshow-git
diff --git a/PKGBUILD b/PKGBUILD
index a422b32b29d..ce2fa64b713 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,18 +1,19 @@
# Maintainer: Brenton Horne <brentonhorne77 at gmail dot com>
-pkgname=('moksha-modules-extra-git' 'moksha-module-alarm-git' 'moksha-module-calendar-git' 'moksha-module-engage-git' 'moksha-module-flame-git' 'moksha-module-forecasts-git' 'moksha-module-mail-git' 'moksha-module-news-git' 'moksha-module-penguins-git' 'moksha-module-photo-git' 'moksha-module-places-git' 'moksha-module-rain-git' 'moksha-module-screenshot-git' 'moksha-module-share-git' 'moksha-module-slideshow-git' 'moksha-module-snow-git' 'moksha-module-tclock-git' 'moksha-module-trash-git' 'moksha-module-winlist-ng-git' 'moksha-module-winselector-git')
-pkgver=8fd3c9b
+pkgname=('moksha-modules-extra-git' 'moksha-module-alarm-git' 'moksha-module-calendar-git' 'moksha-module-cpu-git' 'moksha-module-engage-git' 'moksha-module-flame-git' 'moksha-module-forecasts-git' 'moksha-module-mail-git' 'moksha-module-news-git' 'moksha-module-penguins-git' 'moksha-module-photo-git' 'moksha-module-places-git' 'moksha-module-rain-git' 'moksha-module-screenshot-git' 'moksha-module-share-git' 'moksha-module-slideshow-git' 'moksha-module-snow-git' 'moksha-module-tclock-git' 'moksha-module-trash-git' 'moksha-module-winlist-ng-git' 'moksha-module-winselector-git')
+pkgver=752dafe
pkgrel=1
_pkgname=moksha-modules-extra
pkgdesc="Extra Moksha modules"
arch=('i686' 'x86_64')
url="http://mokshadesktop.org"
license=('BSD')
-depends=('moksha')
+depends=('moksha' 'json-c')
makedepends=('moksha-module-emprint-git' 'git')
_module_list=(
'alarm'
'calendar'
+ 'cpu'
'engage'
'flame'
'forecasts'
@@ -74,6 +75,24 @@ package_moksha-module-alarm-git() {
package_moksha-module-calendar-git() {
pkgdesc="Moskha calendar module built from git sources"
+ cd "${srcdir}/${_pkgname}/calendar"
+ msg2 "Installing calendar"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-cpu-git() {
+ pkgdesc="Moskha cpu module built from git sources"
+
cd "${srcdir}/${_pkgname}/cpu"
msg2 "Installing cpu"
make DESTDIR="${pkgdir}" install